Package com.sun.jna.platform.win32

## Class OaIdl.CURRENCY

- java.lang.Object
- - com.sun.jna.Structure
  - - com.sun.jna.Union
    - - com.sun.jna.platform.win32.OaIdl.CURRENCY

Direct Known Subclasses:
  `OaIdl.CURRENCY.ByReference`

Enclosing interface:
  OaIdl

    public static class OaIdl.CURRENCY
    extends Union

### Nested Class Summary

Nested Classes
`static class` `OaIdl.CURRENCY._CURRENCY`
`static class` `OaIdl.CURRENCY.ByReference`

### Nested classes/interfaces inherited from class com.sun.jna.Structure

`Structure.ByValue, Structure.FieldOrder, Structure.StructField`

### Field Summary

Fields
`OaIdl.CURRENCY._CURRENCY` `currency`
`WinDef.LONGLONG` `int64`

### Fields inherited from class com.sun.jna.Structure

`ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

### Constructor Summary

Constructors
`CURRENCY()`
`CURRENCY​(Pointer pointer)`

### Method Summary

### Methods inherited from class com.sun.jna.Union

`getFieldOrder, getNativeAlignment, getTypedValue, readField, readField, setType, setType, setTypedValue, writeField, writeField, writeField`

### Methods inherited from class com.sun.jna.Structure

`allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFields, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### currency

    public OaIdl.CURRENCY._CURRENCY currency

#### int64

    public WinDef.LONGLONG int64

### Constructor Detail

#### CURRENCY

    public CURRENCY()

#### CURRENCY

    public CURRENCY​(Pointer pointer)